<template>
	<view class="container">
		<view class="container_text">
			<view>
				<image class="banner-img" src="../../static/image/logo.png" mode="scaleToFill"></image>
			</view>
			<view class="logName">
			</view>
		</view>
		<view class="login_text">
			<view class="login_input flex">
				<view class="login_img">
					+86
				</view>
				<view class="login_name"><input class="uni-input" v-model="username" focus placeholder="请输入手机号" />
				</view>
			</view>
			<view class="login_input flex">
				<view class="login_img">
					密码
				</view>
				<view class="login_name">
					<input class="uni-input" type="password" v-model="passward" focus placeholder="请输入密码" />
				</view>
			</view>
			<view><button type="green" class="uni-button uni-button-green" @click="toLogin">立即登录</button></view>
			<view><button type="green" class="uni-button uni-button-green-plain" plain="true" hover-class="none"
					@click="$refs.popup.open()">更多</button></view>

		</view>
		<!-- #ifdef APP-PLUS -->
		<loginMethods @onLogin='loginGl'></loginMethods>
		<!-- #endif -->
		<agreement @checkedChange='changeChecked'></agreement>
		<uni-popup ref="popup" type="bottom">
			<view class="buttomBox">
				<navigator url="/pages/public/phoneLogin">
					<view class="item borde-b">
						手机登录
					</view>
				</navigator>
				<navigator url="/pages/public/forget">
					<view class="item borde-b">
						忘记密码
					</view>
				</navigator>
				<navigator url="/pages/public/register">
					<view class="item">
						注册
					</view>
				</navigator>
			</view>
			<view class="buttomBox" @click="close">
				<view class="item qx">
					取消
				</view>
			</view>
		</uni-popup>

	</view>
</template>

<script>
	import loginMethods from "./loginMethods.vue"
	import agreement from "./agreement.vue"
	import {
		mapMutations
	} from 'vuex';
	import {
		login
	} from '@/api/login.js';
	import {
		getUserInfo
	} from '@/api/user.js';
	export default {
		data() {
			return {
				checked: false, //是否同意条款
				username: '',
				passward: '',
				successUrl:'/pages/home/index'
			};
		},
		onLoad() {
			let obj = this;
		},
		components: {
			loginMethods,
			agreement
		},
		methods: {
			...mapMutations('user', ['setUserInfo', 'login','logout']),
			// 监听隐私条例
			changeChecked(check) {
				this.checked = check;
			},
			loginGl(userinfo){
				if(!this.checked){
					this.logout();
					uni.showModal({
						title: '提示',
						content: '请先阅读同意《绿津服务》《隐私条例》',
						showCancel: false,
					});
					return;
				}
				let ur = uni.getStorageSync('present') || this.successUrl;
				// 用于处理缓存bug
				if (ur == 'pages/product/product') {
					ur = this.successUrl
				}
				
				if (!userinfo.phone) {
					uni.showModal({
						title: '提示',
						content: '请先绑定手机号',
						showCancel: false,
						success: res => {
							if (res.confirm) {
								uni.navigateTo({
									url: '/pages/set/phone',
								});
							}
						},
					});
				} else {
					uni.switchTab({
						url: ur,
						fail(e) {
							uni.navigateTo({
								url: ur,
								fail(e) {
									uni.navigateTo({
										url:this.successUrl,
									});
								}
							});
						}
					});
				}
			},
			//登录
			async toLogin() {
				let obj = this;
				
				if (obj.username == '') {
					obj.$api.msg('请输入手机号');
					return;
				}
				if (obj.passward == '') {
					obj.$api.msg('请输入密码');
					return;
				}
				if(!this.checked){
					uni.showModal({
						title: '提示',
						content: '请先阅读同意《绿津服务》《隐私条例》',
						showCancel: false,
					});
					return;
				}
				obj.logining = true;
				login({
						account: obj.username,
						password: obj.passward
					})
					.then(function(e) {
						uni.setStorageSync('token', e.data.token);
						obj.$store.commit('hasLogin', true);
						getUserInfo({}).then(e => {
							obj.login();
							// 保存返回用户数据
							obj.setUserInfo(e.data);
							let ur = uni.getStorageSync('present') || obj.successUrl;
							//成功跳转首页
							uni.reLaunch({
								url: ur,
								fail(e) {
									uni.switchTab({
										url: obj.successUrl,
									});
								}
							})
						});
					})
					.catch(function(e) {
						console.log(e);
					});
			},
			//跳转注册页
			register() {
				uni.navigateTo({
					url: `/pages/public/register`
				});
			},
			// 后退
			navBack() {
				uni.navigateBack();
			},
			// 关闭更多弹窗
			close() {
				this.$refs.popup.close();
			}
		}
	};
</script>

<style lang="scss">
	page {
		height: 100%;
		background-color: #FFFFFF;
		padding-top: 44px;
	}

	.container {
		width: 100%;
		height: 100%;
		background-size: 100%;
		padding-top: 50rpx;
	}

	.container_text {
		text-align: center;

		.logName {
			font-weight: bold;
			font-size: 36rpx;
			margin: 30rpx 0 80rpx;
		}

		.banner-img {
			width: 170rpx;
			height: 170rpx;
			margin: 0 auto;
			border-radius: 20rpx;
			// border: 1px solid $border-color-light;
		}
	}

	.login_text {
		margin: auto 50rpx;
		position: relative;
		background-color: #ffffff;
		border-radius: 20rpx;

		.login_input {
			border-bottom: 1px solid #f0f0f0;
			margin-bottom: 30rpx;
			padding: 30rpx 0;
			line-height: 1;

			.login_img {
				height: 35rpx;
				width: 70rpx;
				flex-shrink: 0;
				font-size: 30rpx;
				margin-right: 20rpx;
				color: $font-base;
			}

			.uni-input {
				text-align: left;
				width: 100%;
				font-size: 28rpx !important;
			}

			.login_name {
				color: #333333;
				flex-grow: 1;
			}
		}





		.forget {
			font-size: 28rpx;
			width: 100%;
			text-align: right;
			color: #999999;
		}

		.uni-button-green {
			color: #ffffff;
			background-color: $base-color;
			margin: 40rpx 10rpx;
			border-radius: 50rpx;
			box-shadow: 0px 8px 10px 0px rgba( $base-color, 0.3);
		}

		.uni-button-green-plain {
			margin: 40rpx 10rpx;
			border-radius: 50rpx;
			color: $font-base;
			background-color: $page-color-base;
			border: none;
		}

		.uni-button {
			height: 80rpx;
			line-height: 80rpx;
			font-size: 28rpx;
			width: 100%;
		}
	}



	.buttomBox {
		border-radius: 20rpx;
		margin: 0 $page-row-spacing;
		margin-bottom: 30rpx;
		color: $font-color-dark;
		background-color: #FFFFFF;
		overflow: hidden;

		.item {
			line-height: 100rpx;
			height: 100rpx;
			text-align: center;
			font-size: 32rpx;

			&.qx {
				font-weight: bold;
			}
		}

		.border_b {
			border-bottom: 1px solid $page-color-light;
		}
	}
</style>
